Loading...
Searching...
No Matches
discreteglobalbasisfunction.hh File Reference
`#include <memory>`
`#include <optional>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/shared_ptr.hh>`
`#include <dune/grid/utility/hierarchicsearch.hh>`
`#include <dune/common/typetree/traversal.hh>`
`#include <dune/common/typetree/treecontainer.hh>`
`#include <dune/functions/functionspacebases/hierarchicnodetorangemap.hh>`
`#include <dune/functions/functionspacebases/flatvectorview.hh>`
`#include <dune/functions/gridfunctions/gridviewentityset.hh>`
`#include <dune/functions/gridfunctions/gridfunction.hh>`
`#include <dune/functions/backends/concepts.hh>`
`#include <dune/functions/backends/istlvectorbackend.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >
struct | Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Data
class | Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase
class | Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >
| A grid function induced by a global basis and a coefficient vector. More...
class | Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction
class | Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >
| Derivative of a DiscreteGlobalBasisFunction. More...
class | Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::LocalFunction
| local function evaluating the derivative in reference coordinates More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::ImplDoc

## Functions

template<typename R, typename B, typename V>
auto | Dune::Functions::makeDiscreteGlobalBasisFunction (B &&basis, V &&vector)
| Generate a DiscreteGlobalBasisFunction.